#DEFINE CNCR		CHR(13) + CHR(10)
#DEFINE STR_VALUE 	"Hello"
#DEFINE NUM_COUNT 	10

LOCAL loClsSample as CSClsLibEx.ClsSampleEx ;
	,loEventStep as StepEvent_EventStep ;
	,loException As Exception ;
	,lbIsErr as Boolean 

SET DEFAULT TO (JUSTPATH(SYS(16)))
ACTIVATE SCREEN
CLEAR 
TRY
	SET PROCEDURE TO ("EventsTestCSClsLibEx.prg")
	loClsSample = CREATEOBJECT("CSClsLibEx.ClsSampleEx")
	COMARRAY(loClsSample, 10)
	loEventStep = CREATEOBJECT("StepEvent_EventStep")
	EVENTHANDLER(loClsSample, loEventStep)
	LOCAL ARRAY larrPrm[2]
	larrPrm[1] = STR_VALUE
	larrPrm[2] = NUM_COUNT
	loClsSample.RunWork(@larrPrm)
	READ EVENTS 
CATCH TO loException
	lbIsErr = .T.
	MESSAGEBOX("Error: " + TRANSFORM(loException.ErrorNo) ;
		+ CNCR + "Message: " + loException.Message;
		+ CNCR + "Procedure: " + loException.Procedure ;
		+ CNCR + "LineNo: " + TRANSFORM(loException.LineNo) ;
		+ CNCR + "LineContents: " + loException.LineContents  ;
		 , 16, _SCREEN.Caption)
FINALLY
	IF TYPE('loClsSample') = 'O' AND !ISNULL(loClsSample)
		UNBINDEVENTS(loClsSample)
		RELEASE loClsSample
	ENDIF
	RELEASE loEventStep
	IF !lbIsErr
		MESSAGEBOX("Test was successfully completed!", 64, _SCREEN.Caption) 
	ENDIF		 
ENDTRY