#DEFINE USE_FOXPRO_TEST .F.
#DEFINE CNCR		CHR(13) + CHR(10)

SET DEFAULT TO JUSTPATH(SYS(16))
SET CLASSLIB TO ("TestVfpAppLib.vcx")

PUBLIC goFrmProgressDlg as frmProgressDlg
goFrmProgressDlg = CREATEOBJECT("frmProgressDlg")
IF VARTYPE(goFrmProgressDlg) = 'O'
	goFrmProgressDlg.Show()
ELSE
	MESSAGEBOX("Can not create frmProgressDlg object", 16, _SCREEN.Caption)
	RELEASE goFrmProgressDlg
	RETURN
ENDIF

LOCAL loException as Exception ; 
	,lbIsErr as Boolean ;
	,loTestVfpApp as CSClsLibVfp.TestVfpApp

TRY
	#IF USE_FOXPRO_TEST
		FOR lnValue = 1 TO 100
			IF TYPE('goFrmProgressDlg.Name') = 'C'
				goFrmProgressDlg.ProgressValue = lnValue
				=INKEY(0.2,'HM')
				DOEVENTS FORCE
			ELSE
				EXIT
			ENDIF
		ENDFOR
	#ELSE
		loTestVfpApp = CREATEOBJECT("CSClsLibVfp.TestVfpApp")
		COMARRAY(loTestVfpApp, 10)
		LOCAL ARRAY larrPrm[2]
		larrPrm[1] = _VFP
		larrPrm[2] = 100
		loTestVfpApp.RunWork(@larrPrm)
		READ EVENTS
	#ENDIF
CATCH TO loException
	lbIsErr = .T.
	MESSAGEBOX("Error: " + TRANSFORM(loException.ErrorNo) ;
		+ CNCR + "Message: " + loException.Message;
		+ CNCR + "Procedure: " + loException.Procedure ;
		+ CNCR + "LineNo: " + TRANSFORM(loException.LineNo) ;
		+ CNCR + "LineContents: " + loException.LineContents  ;
		 , 16, _SCREEN.Caption)
FINALLY
	IF TYPE('goFrmProgressDlg.Name') = 'C'
		goFrmProgressDlg.Release()
		RELEASE goFrmProgressDlg
	ENDIF
	RELEASE loTestVfpApp
	IF !lbIsErr
		MESSAGEBOX("Test was completed!",64, _SCREEN.Caption)
	ENDIF	
	SET CLASSLIB TO
ENDTRY	
 	