﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestCSClsLib
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                CSClsLib.ClsSample clsSample = new CSClsLib.ClsSample();
                clsSample.eventStep += new CSClsLib.EventStep(clsSample_eventStep);
                object[] objAgr = new object[] { "Hello", 10 };
                clsSample.RunWork(objAgr);
                Console.WriteLine("Ok! Test was successfully completed!");
            }
            catch (Exception ex)
            {
                Console.WriteLine("*** Error: " + ex.ToString());  
            }
            Console.WriteLine("Press any key to exit...");
            Console.ReadKey();  
        }

        static void clsSample_eventStep(object sender, CSClsLib.StepEventArgs args)
        {
            CSClsLib.ClsSample clsSample = sender as CSClsLib.ClsSample;
            Console.WriteLine("--- clsSample_eventStep: status = " 
                + (clsSample != null ? clsSample.status : String.Empty)  
                + ", count = " + args.count);
        }
    }
}
