﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestCSClsLibEx
{
    public class Program
    {
        static void Main(string[] args)
        {
            try
            {
                CSClsLibEx.ClsSampleEx clsSampleEx = new CSClsLibEx.ClsSampleEx();
                clsSampleEx.eventStep += new CSClsLibEx.EventStep(clsSampleEx_eventStep);
                clsSampleEx.RunWork(new object[] { "Hello", 10 });
            }
            catch (Exception ex)
            {
                Console.WriteLine("*** Error: " + ex.ToString());
                Console.WriteLine("Press any key to exit...");
                Console.ReadKey();
            }
        }

        static void clsSampleEx_eventStep(object sender, CSClsLibEx.StepEventArgs e)
        {
            CSClsLibEx.ClsSampleEx clsSampleEx = sender as CSClsLibEx.ClsSampleEx;
            if (e.completed)
            {
                Console.WriteLine("--- clsSampleEx_eventStep: RunWork was "
                    + (clsSampleEx.terminated ? "terminated" : "completed"));
                Console.WriteLine("Press any key to exit...");
                Console.ReadKey();
            }
            else
            {
                Console.WriteLine("--- clsSampleEx_eventStep: status = " 
                    + clsSampleEx.status 
                    + ", count = " + e.count);
            }
        }
    }
}
